MWAWFontConverterInternal::Data::KnownConversion Class Reference documentation

MWAWFontConverterInternal::Data::KnownConversion Class Reference

## Public Member Functions
| KnownConversion ()
| constructor
Data::ConversionData const & | getConversionMaps (std::string fName)
| returns the conversion map which corresponds to a name, or the default map
void | setFamily (std::string const &fName, std::string const &family)
| set a family correspondance
ConversionData const & | getDefault () const
| return the default converter

## Protected Member Functions
void | initMaps ()
| Internal and Low level: initializes all the conversion maps.

## Static Protected Member Functions
static void | initAMap (int const *arr, size_t numElt, std::map< unsigned char, unsigned long > &map)
| Internal and Low level: initializes a map with a vector of numElt elements (char, unicode).

## Protected Attributes
std::map< std::string, ConversionData const * > | m_convertMap
| the conversiont map fName -> ConversionData
std::map< std::string, std::string > | m_familyMap
| Internal and Low level: map font name -> family font name.
std::map< unsigned char, unsigned long > | m_romanMap
| Internal and Low level: map char -> unicode for roman font.
std::map< unsigned char, unsigned long > | m_centralEuroMap
| Internal and Low level: map char -> unicode for central european font.
std::map< unsigned char, unsigned long > | m_cyrillicMap
| Internal and Low level: map char -> unicode for cyrillic font.
std::map< unsigned char, unsigned long > | m_turkishMap
| Internal and Low level: map char -> unicode for turkish font.
std::map< unsigned char, unsigned long > | m_symbolMap
| Internal and Low level: map char -> unicode for symbol font.
std::map< unsigned char, unsigned long > | m_dingbatsMap
| Internal and Low level: map char -> unicode for dingbats font.
std::map< unsigned char, unsigned long > | m_cursiveMap
| Internal and Low level: map char -> unicode for cursive font.
std::map< unsigned char, unsigned long > | m_mathMap
| Internal and Low level: map char -> unicode for math font.
std::map< unsigned char, unsigned long > | m_monotypeSortsMap
| Internal and Low level: map char -> unicode for monotypeSorts font.
std::map< unsigned char, unsigned long > | m_scientificMap
| Internal and Low level: map char -> unicode for scientific font.
std::map< unsigned char, unsigned long > | m_wingdingsMap
| Internal and Low level: map char -> unicode for wingdings font.
std::map< unsigned char, unsigned long > | m_SJISMap
| Internal and Low level: simplified map char -> unicode for SJIS font.
std::map< unsigned char, unsigned long > | m_unknown107Map
| Internal and Low level: map char -> unicode for font 107.
std::map< unsigned char, unsigned long > | m_unknown128Map
| Internal and Low level: map char -> unicode for font 128.
std::map< unsigned char, unsigned long > | m_unknown200Map
| Internal and Low level: map char -> unicode for font 200.
std::map< unsigned char, unsigned long > | m_windowsCP1250Map
| Internal and Low level: map char -> unicode for Windows CP1250.
std::map< unsigned char, unsigned long > | m_windowsCP1251Map
| Internal and Low level: map char -> unicode for Windows CP1251.
std::map< unsigned char, unsigned long > | m_windowsCP1252Map
| Internal and Low level: map char -> unicode for Windows CP1252.
std::map< unsigned char, unsigned long > | m_windowsCP1253Map
| Internal and Low level: map char -> unicode for Windows CP1253.
std::map< unsigned char, unsigned long > | m_windowsCP1254Map
| Internal and Low level: map char -> unicode for Windows CP1254.
std::map< unsigned char, unsigned long > | m_windowsCP1255Map
| Internal and Low level: map char -> unicode for Windows CP1255.
std::map< unsigned char, unsigned long > | m_windowsCP1256Map
| Internal and Low level: map char -> unicode for Windows CP1256.
std::map< unsigned char, unsigned long > | m_windowsCP1257Map
| Internal and Low level: map char -> unicode for Windows CP1257.
std::map< unsigned char, unsigned long > | m_windowsCP1258Map
| Internal and Low level: map char -> unicode for Windows CP1258.
ConversionData | m_defaultConv
| Internal and Low level: the default converter: roman.
ConversionData | m_centralEuroConv
| Internal and Low level: the default converter: central european.
ConversionData | m_cyrillicConv
| Internal and Low level: the default converter: cyrillic.
ConversionData | m_turkishConv
| Internal and Low level: the default converter: turkish.
ConversionData | m_timeConv
| Internal and Low level: the converter for times font.
ConversionData | m_zapfChanceryConv
| Internal and Low level: the converter for zapfChancery font.
ConversionData | m_symbolConv
| Internal and Low level: the converter for symbol font.
ConversionData | m_dingbatsConv
| Internal and Low level: the converter for dingbats font.
ConversionData | m_cursiveConv
| Internal and Low level: the converter for cursive font.
ConversionData | m_mathConv
| Internal and Low level: the converter for math font.
ConversionData | m_monotypeSortsConv
| Internal and Low level: the converter for monotypeSorts font.
ConversionData | m_scientificConv
| Internal and Low level: the converter for scientific font.
ConversionData | m_wingdingsConv
| Internal and Low level: the converter for wingdings font.
ConversionData | m_SJISConv
| Internal and Low level: the converter for SJIS font.
ConversionData | m_unknown107Conv
| Internal and Low level: the converter for font 107.
ConversionData | m_unknown128Conv
| Internal and Low level: the converter for font 128.
ConversionData | m_unknown200Conv
| Internal and Low level: the converter for font 200.
ConversionData | m_windowsCP1250Conv
| Internal and Low level: the converter for Windows CP1250.
ConversionData | m_windowsCP1251Conv
| Internal and Low level: the converter for Windows CP1251.
ConversionData | m_windowsCP1252Conv
| Internal and Low level: the converter for Windows CP1252.
ConversionData | m_windowsCP1253Conv
| Internal and Low level: the converter for Windows CP1253.
ConversionData | m_windowsCP1254Conv
| Internal and Low level: the converter for Windows CP1254.
ConversionData | m_windowsCP1255Conv
| Internal and Low level: the converter for Windows CP1255.
ConversionData | m_windowsCP1256Conv
| Internal and Low level: the converter for Windows CP1256.
ConversionData | m_windowsCP1257Conv
| Internal and Low level: the converter for Windows CP1257.
ConversionData | m_windowsCP1258Conv
| Internal and Low level: the converter for Windows CP1258.

## Constructor & Destructor Documentation

## ◆ KnownConversion()

MWAWFontConverterInternal::Data::KnownConversion::KnownConversion | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getConversionMaps()

ConversionData const & MWAWFontConverterInternal::Data::KnownConversion::getConversionMaps | ( | std::string | fName | ) |

returns the conversion map which corresponds to a name, or the default map

## ◆ getDefault()

ConversionData const & MWAWFontConverterInternal::Data::KnownConversion::getDefault | ( |  | ) | const
| inline

return the default converter

## ◆ initAMap()

void MWAWFontConverterInternal::Data::KnownConversion::initAMap | ( | int const * | arr,
|  | size_t | numElt,
|  | std::map< unsigned char, unsigned long > & | map )
| inlinestaticprotected

Internal and Low level: initializes a map with a vector of numElt elements (char, unicode).

Referenced by initMaps().

## ◆ initMaps()

void MWAWFontConverterInternal::Data::KnownConversion::initMaps | ( |  | ) |
| protected

Internal and Low level: initializes all the conversion maps.

Referenced by KnownConversion().

## ◆ setFamily()

void MWAWFontConverterInternal::Data::KnownConversion::setFamily | ( | std::string const & | fName,
|  | std::string const & | family )
| inline

set a family correspondance

## Member Data Documentation

## ◆ m_centralEuroConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_centralEuroConv
| protected

Internal and Low level: the default converter: central european.

Referenced by getConversionMaps(), and KnownConversion().

## ◆ m_centralEuroMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_centralEuroMap
| protected

Internal and Low level: map char -> unicode for central european font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_convertMap

std::map<std::string, ConversionData const *> MWAWFontConverterInternal::Data::KnownConversion::m_convertMap
| protected

the conversiont map fName -> ConversionData

Referenced by getConversionMaps(), initMaps(), and KnownConversion().

## ◆ m_cursiveConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_cursiveConv
| protected

Internal and Low level: the converter for cursive font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_cursiveMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_cursiveMap
| protected

Internal and Low level: map char -> unicode for cursive font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_cyrillicConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_cyrillicConv
| protected

Internal and Low level: the default converter: cyrillic.

Referenced by getConversionMaps(), initMaps(), and KnownConversion().

## ◆ m_cyrillicMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_cyrillicMap
| protected

Internal and Low level: map char -> unicode for cyrillic font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_defaultConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_defaultConv
| protected

Internal and Low level: the default converter: roman.

Referenced by getConversionMaps(), getDefault(), initMaps(), and KnownConversion().

## ◆ m_dingbatsConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_dingbatsConv
| protected

Internal and Low level: the converter for dingbats font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_dingbatsMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_dingbatsMap
| protected

Internal and Low level: map char -> unicode for dingbats font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_familyMap

std::map<std::string, std::string> MWAWFontConverterInternal::Data::KnownConversion::m_familyMap
| protected

Internal and Low level: map font name -> family font name.

Referenced by getConversionMaps(), initMaps(), KnownConversion(), and setFamily().

## ◆ m_mathConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_mathConv
| protected

Internal and Low level: the converter for math font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_mathMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_mathMap
| protected

Internal and Low level: map char -> unicode for math font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_monotypeSortsConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_monotypeSortsConv
| protected

Internal and Low level: the converter for monotypeSorts font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_monotypeSortsMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_monotypeSortsMap
| protected

Internal and Low level: map char -> unicode for monotypeSorts font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_romanMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_romanMap
| protected

Internal and Low level: map char -> unicode for roman font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_scientificConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_scientificConv
| protected

Internal and Low level: the converter for scientific font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_scientificMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_scientificMap
| protected

Internal and Low level: map char -> unicode for scientific font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_SJISConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_SJISConv
| protected

Internal and Low level: the converter for SJIS font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_SJISMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_SJISMap
| protected

Internal and Low level: simplified map char -> unicode for SJIS font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_symbolConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_symbolConv
| protected

Internal and Low level: the converter for symbol font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_symbolMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_symbolMap
| protected

Internal and Low level: map char -> unicode for symbol font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_timeConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_timeConv
| protected

Internal and Low level: the converter for times font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_turkishConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_turkishConv
| protected

Internal and Low level: the default converter: turkish.

Referenced by getConversionMaps(), and KnownConversion().

## ◆ m_turkishMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_turkishMap
| protected

Internal and Low level: map char -> unicode for turkish font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_unknown107Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_unknown107Conv
| protected

Internal and Low level: the converter for font 107.

Referenced by initMaps(), and KnownConversion().

## ◆ m_unknown107Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_unknown107Map
| protected

Internal and Low level: map char -> unicode for font 107.

Referenced by initMaps(), and KnownConversion().

## ◆ m_unknown128Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_unknown128Conv
| protected

Internal and Low level: the converter for font 128.

Referenced by initMaps(), and KnownConversion().

## ◆ m_unknown128Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_unknown128Map
| protected

Internal and Low level: map char -> unicode for font 128.

Referenced by initMaps(), and KnownConversion().

## ◆ m_unknown200Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_unknown200Conv
| protected

Internal and Low level: the converter for font 200.

Referenced by initMaps(), and KnownConversion().

## ◆ m_unknown200Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_unknown200Map
| protected

Internal and Low level: map char -> unicode for font 200.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1250Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1250Conv
| protected

Internal and Low level: the converter for Windows CP1250.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1250Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1250Map
| protected

Internal and Low level: map char -> unicode for Windows CP1250.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1251Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1251Conv
| protected

Internal and Low level: the converter for Windows CP1251.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1251Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1251Map
| protected

Internal and Low level: map char -> unicode for Windows CP1251.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1252Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1252Conv
| protected

Internal and Low level: the converter for Windows CP1252.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1252Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1252Map
| protected

Internal and Low level: map char -> unicode for Windows CP1252.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1253Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1253Conv
| protected

Internal and Low level: the converter for Windows CP1253.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1253Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1253Map
| protected

Internal and Low level: map char -> unicode for Windows CP1253.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1254Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1254Conv
| protected

Internal and Low level: the converter for Windows CP1254.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1254Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1254Map
| protected

Internal and Low level: map char -> unicode for Windows CP1254.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1255Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1255Conv
| protected

Internal and Low level: the converter for Windows CP1255.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1255Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1255Map
| protected

Internal and Low level: map char -> unicode for Windows CP1255.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1256Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1256Conv
| protected

Internal and Low level: the converter for Windows CP1256.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1256Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1256Map
| protected

Internal and Low level: map char -> unicode for Windows CP1256.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1257Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1257Conv
| protected

Internal and Low level: the converter for Windows CP1257.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1257Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1257Map
| protected

Internal and Low level: map char -> unicode for Windows CP1257.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1258Conv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1258Conv
| protected

Internal and Low level: the converter for Windows CP1258.

Referenced by initMaps(), and KnownConversion().

## ◆ m_windowsCP1258Map

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_windowsCP1258Map
| protected

Internal and Low level: map char -> unicode for Windows CP1258.

Referenced by initMaps(), and KnownConversion().

## ◆ m_wingdingsConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_wingdingsConv
| protected

Internal and Low level: the converter for wingdings font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_wingdingsMap

std::map<unsigned char, unsigned long> MWAWFontConverterInternal::Data::KnownConversion::m_wingdingsMap
| protected

Internal and Low level: map char -> unicode for wingdings font.

Referenced by initMaps(), and KnownConversion().

## ◆ m_zapfChanceryConv

ConversionData MWAWFontConverterInternal::Data::KnownConversion::m_zapfChanceryConv
| protected

Internal and Low level: the converter for zapfChancery font.

Referenced by initMaps(), and KnownConversion().

The documentation for this class was generated from the following file:

- MWAWFontConverter.cxx